libnvme(2)

NAME
enum nvme_lm_cdq_fields - Controller Data Queue command fields

SYNOPSIS
enum nvme_lm_cdq_fields {
NVME_LM_CDQ_MOS_SHIFT ,
NVME_LM_CDQ_MOS_MASK ,
NVME_LM_CDQ_SEL_SHIFT ,
NVME_LM_CDQ_SEL_MASK ,
NVME_LM_SEL_CREATE_CDQ ,
NVME_LM_SEL_DELETE_CDQ ,
NVME_LM_QT_SHIFT ,
NVME_LM_QT_MASK ,
NVME_LM_CQS_SHIFT ,
NVME_LM_CQS_MASK ,
NVME_LM_QT_USER_DATA_MIGRATION_QUEUE ,
NVME_LM_CREATE_CDQ_PC ,
NVME_LM_CREATE_CDQ_CNTLID_SHIFT ,
NVME_LM_CREATE_CDQ_CNTLID_MASK ,
NVME_LM_DELETE_CDQ_CDQID_SHIFT ,
NVME_LM_DELETE_CDQ_CDQID_MASK ,
NVME_LM_CREATE_CDQ_CDQID_SHIFT ,
NVME_LM_CREATE_CDQ_CDQID_MASK

};

Constants

NVME_LM_CDQ_MOS_SHIFT
    Shift to set Management Operation Specific (MOS) field

NVME_LM_CDQ_MOS_MASK
    Mask to set MOS field

NVME_LM_CDQ_SEL_SHIFT
    Shift to set Select (SEL) field

NVME_LM_CDQ_SEL_MASK
    Mask to set SEL field

NVME_LM_SEL_CREATE_CDQ
    Create CDQ select option

NVME_LM_SEL_DELETE_CDQ
    Delete CDQ select option

NVME_LM_QT_SHIFT
    Shift amount to set Queue Type (QT) field relative to MOS

NVME_LM_QT_MASK
    Mask to set QT field relative to MOS

NVME_LM_CQS_SHIFT
    Shift amount for Create Queue Specific (CQS) field

NVME_LM_CQS_MASK
    Mask to set CQS field

NVME_LM_QT_USER_DATA_MIGRATION_QUEUE
    User Data Migration Queue type

NVME_LM_CREATE_CDQ_PC
    Physically Contiguous (PC)

NVME_LM_CREATE_CDQ_CNTLID_SHIFT
    Shift amount to set CNTLID field relative to MOS

NVME_LM_CREATE_CDQ_CNTLID_MASK
    Mask to set CNTLID field relative to MOS

NVME_LM_DELETE_CDQ_CDQID_SHIFT
    Shift amount to set CDQID field for deletion

NVME_LM_DELETE_CDQ_CDQID_MASK
    Mask to set CDQID field for deletion

NVME_LM_CREATE_CDQ_CDQID_SHIFT
    Shift amount to get CDQID field from Create response in completion dword0

NVME_LM_CREATE_CDQ_CDQID_MASK
    Mask to get CNTLID field from Create response in completion dword0